package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppUserOwnersV2.DeleteUserOwner(ctx, operations.C1APIAppV2AppUserOwnersV2DeleteUserOwnerRequest{
AppID: "<id>",
RoleSlug: "<value>",
UserID: "<id>",
UserRefID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.DeleteAppUserUserOwnerResponse != nil {
// handle response
}
}curl --request DELETE \
--url https://{tenantDomain}.conductor.one/api/v2/apps/{app_id}/users/{user_id}/owners/users/{role_slug}/{user_ref_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userRef": {
"id": "<string>"
}
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v2/apps/{app_id}/users/{user_id}/owners/users/{role_slug}/{user_ref_id}"
payload = { "userRef": { "id": "<string>" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({userRef: {id: '<string>'}})
};
fetch('https://{tenantDomain}.conductor.one/api/v2/apps/{app_id}/users/{user_id}/owners/users/{role_slug}/{user_ref_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Delete User Owner
DeleteUserOwner deletes a user ownership source for an app user.
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppUserOwnersV2.DeleteUserOwner(ctx, operations.C1APIAppV2AppUserOwnersV2DeleteUserOwnerRequest{
AppID: "<id>",
RoleSlug: "<value>",
UserID: "<id>",
UserRefID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.DeleteAppUserUserOwnerResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The appId field.
The userId field.
The roleSlug field.
The id of the user.
Body
DeleteAppUserUserOwnerRequest is the request for deleting a user ownership source on an app user.
A reference to a user.
Show child attributes
Show child attributes
Response
DeleteAppUserUserOwnerResponse is the empty response for deleting a user ownership source on an app user.
DeleteAppUserUserOwnerResponse is the empty response for deleting a user ownership source on an app user.
Was this page helpful?